declare type ActionRenderType = 'button' | 'link' | 'icon';
declare type ListViewRenderType = 'list' | 'table';
declare type ObjectViewRenderType = 'form';
declare type ViewRenderType = ListViewRenderType | ObjectViewRenderType;
declare type BooleanInputRenderType = 'select' | 'radio' | 'checkbox' | 'switch';
declare type StringInputRenderType = 'input';
declare type TextInputRenderType = 'input' | 'textarea';
declare type EnumInputRenderType = 'select' | 'radio';
declare type OneToOneInputRenderType = ObjectViewRenderType;
declare type OneToManyInputRenderType = 'select' | ListViewRenderType;
declare type ManyToManyInputRenderType = 'select' | ListViewRenderType;
declare type ManyToOneInputRenderType = 'select';
declare type RelationInputRenderType = OneToOneInputRenderType | OneToManyInputRenderType | ManyToManyInputRenderType | ManyToOneInputRenderType;
declare type InputRenderType = BooleanInputRenderType | StringInputRenderType | TextInputRenderType | EnumInputRenderType | RelationInputRenderType;
export { ActionRenderType, ListViewRenderType, ObjectViewRenderType, ViewRenderType, BooleanInputRenderType, StringInputRenderType, TextInputRenderType, EnumInputRenderType, OneToOneInputRenderType, OneToManyInputRenderType, ManyToManyInputRenderType, ManyToOneInputRenderType, RelationInputRenderType, InputRenderType, };
