import { IconProviders } from 'petals-ui/dist/icon';
import { ActionRenderType, BooleanInputRenderType, EnumInputRenderType } from './render-type';
interface ActionCommonBehaviors {
    renderType?: ActionRenderType;
    showIcon?: boolean;
    iconOnly?: boolean;
    disableWhenNoSelection?: boolean;
}
interface FilterCommonBehaviors {
    showHintAsPlaceholder?: boolean;
    showValidationRulesAsNative?: boolean;
    showEmptyValueOption?: boolean;
    emptyValueOptionLabel?: string;
}
interface SearchCommonBehaviors {
    keepConditionInUrl?: boolean;
}
interface FieldCommonBehaviors {
    booleanFieldRenderType?: BooleanInputRenderType;
    enumFieldRenderType?: EnumInputRenderType;
    showUnavailableOption?: boolean;
    showHintAsPlaceholder?: boolean;
    showHintAtFormItem?: boolean;
    hintPositionOfFormItem?: 'explain' | 'label';
    hintIcon?: string;
    showValidationRulesAsNative?: boolean;
}
interface ViewCommonBehaviors {
    objectViewFormLayout?: 'horizontal' | 'vertical' | 'inline';
    objectViewFormControlLabelWidth?: number | string;
    objectViewFormControlSize?: 'large' | 'medium' | 'small';
    objectViewShowValidationMessage?: boolean;
    listViewPageSizes?: number[];
    listViewDefaultPageSize?: number;
}
interface CommonWidgetBehaviors {
    action?: ActionCommonBehaviors;
    filter?: FilterCommonBehaviors;
    search?: SearchCommonBehaviors;
    field?: FieldCommonBehaviors;
    view?: ViewCommonBehaviors;
}
interface ThemeBehavior {
    common?: CommonWidgetBehaviors;
    [key: string]: any;
}
declare type ThemeStyle = {
    [key: string]: string;
};
interface ThemeOptions {
    icon?: {
        providers?: IconProviders;
    };
    style?: ThemeStyle;
    behavior?: ThemeBehavior;
    template?: string;
}
export { ThemeStyle, ThemeBehavior, ThemeOptions };
