import { isString, noop, clone } from '@ntks/toolbox';
function resolveUrl(location) {
    return isString(location) ? location : location.path || '';
}
let appHelper = {
    history: {
        getLocation() {
            return {
                name: '',
                path: location.pathname,
                rawPath: location.pathname,
                hash: location.hash,
                query: {},
                params: {},
                ancestors: [],
            };
        },
        back: window.history.back,
        forward: window.history.forward,
        go: window.history.go,
        push(location) {
            return window.history.pushState({}, '', resolveUrl(location));
        },
        replace(location) {
            return window.history.replaceState({}, '', resolveUrl(location));
        },
    },
    alert(message, callback = noop) {
        window.alert(message);
        callback();
    },
    confirm: window.confirm,
};
function registerAppHelper(helper) {
    appHelper = clone(helper);
}
function getAppHelper() {
    return clone(appHelper);
}
export { registerAppHelper, getAppHelper };
