import { __rest } from "tslib";
const typeMap = new Map();
function registerDataType(_a) {
    var { name } = _a, others = __rest(_a, ["name"]);
    typeMap.set(name, others);
}
function getDataType(name) {
    return typeMap.get(name);
}
function isDataTypeValid(name) {
    return typeMap.has(name);
}
function isDataValueValid(name, value) {
    return isDataTypeValid(name) ? getDataType(name).validator(value) : false;
}
export { registerDataType, getDataType, isDataTypeValid, isDataValueValid };
