import { __rest } from "tslib";
import { runExpression } from '../../vendors/organik';
import { isString } from '../../utils';
import { resolveEnumOptions } from '../../utils/widget';
import { FieldHeadlessWidget } from './Field';
class EnumFieldHeadlessWidget extends FieldHeadlessWidget {
    resolveRenderOptions(record) {
        const resolved = [];
        this.options.forEach((_a) => {
            var { available } = _a, others = __rest(_a, ["available"]);
            let optionAvailable = true;
            if (isString(available)) {
                optionAvailable = runExpression({ value: record }, available);
            }
            let disabled = false;
            if (!optionAvailable) {
                let { showUnavailableOption } = this.getConfig();
                if (showUnavailableOption === undefined) {
                    showUnavailableOption = this.getCommonBehavior('field.showUnavailableOption');
                }
                if (showUnavailableOption !== true) {
                    return;
                }
                disabled = true;
            }
            resolved.push(Object.assign(Object.assign({}, others), { disabled }));
        });
        return resolved;
    }
    initOptions(viewContext, callback) {
        resolveEnumOptions(viewContext, this.getField(), enumOptions => {
            this.options = enumOptions;
            callback(enumOptions, this.resolveRenderOptions.bind(this));
        });
    }
}
export { EnumFieldHeadlessWidget };
