import { noop } from '../../utils';
import { FieldHeadlessWidget } from './Field';
class RelationFieldHeadlessWidget extends FieldHeadlessWidget {
    getLabelKey() {
        const field = this.getField();
        return (field.dynamic && field.relatedLabelKey) || 'label';
    }
    getValueKey() {
        const field = this.getField();
        let key = 'value';
        if (field.dynamic) {
            key = field.relatedValueKey || field.relatedPrimaryKey || key;
        }
        return key;
    }
    fetchReferenceValue(data, callback) {
        const { referenceValueGetter } = this.getField();
        if (!referenceValueGetter) {
            return;
        }
        referenceValueGetter(data).then(result => {
            if (result.success) {
                callback(result);
            }
        });
    }
    fetchRelatedList(params, success = noop, fail = noop) {
        const { dynamic, relatedListGetter } = this.getField();
        if (!dynamic || !relatedListGetter) {
            return;
        }
        relatedListGetter(params).then(result => {
            if (result.success) {
                success(result.data, result.extra, result);
            }
            else {
                fail(result.message, result);
            }
        });
    }
}
export { RelationFieldHeadlessWidget };
